Bug 2069039 - After F35 -> F36 upgrade spell checking doesn't work in Weechat
Summary: After F35 -> F36 upgrade spell checking doesn't work in Weechat
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: enchant
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marc Maurer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F36FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2022-03-28 05:55 UTC by Tomas Popela
Modified: 2022-04-05 00:16 UTC (History)
11 users (show)

Fixed In Version: enchant-1.6.0-30.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-05 00:16:02 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker FC-410 0 None None None 2022-03-28 06:43:32 UTC

Description Tomas Popela 2022-03-28 05:55:35 UTC
After upgrading from Fedora 35 to Fedora 36 (it's actually Silverblue, but that shouldn't matter) the spell checking in Weechat stopped to work and is highlighting everything as misspelled. It might or might not be connected to https://fedoraproject.org/wiki/Changes/Hunspell_dictionary_dir_change that happened in F36.

$ rpm -qa | grep hunspell
hunspell-filesystem-1.7.0-19.fc36.x86_64
hunspell-en-GB-0.20140811.1-22.fc36.noarch
hunspell-en-0.20140811.1-22.fc36.noarch
hunspell-en-US-0.20140811.1-22.fc36.noarch
hunspell-1.7.0-19.fc36.x86_64
hunspell-cs-20080822-16.fc36.noarch

$ rpm -q weechat
weechat-3.4-5.fc36.x86_64

$ cat ~/.weechat/spell.conf
#
# weechat -- spell.conf
#
# WARNING: It is NOT recommended to edit this file by hand,
# especially if WeeChat is running.
#
# Use commands like /set or /fset to change settings in WeeChat.
#
# For more info, see: https://weechat.org/doc/quickstart
#

[color]
misspelled = lightred
suggestion = default
suggestion_delimiter_dict = cyan
suggestion_delimiter_word = cyan

[check]
commands = "away,command,cycle,kick,kickban,me,msg,notice,part,query,quit,topic"
default_dict = "en,cs"
during_search = off
enabled = on
real_time = off
suggestions = -1
word_min_length = 2

[dict]

[look]
suggestion_delimiter_dict = " / "
suggestion_delimiter_word = ","

[option]

Comment 1 Jens Petersen 2022-03-28 06:26:05 UTC
AFAICT this looks like an issue with enchant maybe not knowing about /usr/share/hunspell/
ie apparently this is a fallout of dropping the newlink symlink /usr/share/myspell -> /usr/share/hunspell

Comment 2 Jens Petersen 2022-03-28 06:43:16 UTC
I just tested enchant like this

$ echo hello | LANG=en_US.UTF-8 enchant -l

(This may not be the orthodox way to test/use it.)

Comment 3 Parag Nemade 2022-03-28 07:49:50 UTC
I just submitted enchant PR https://src.fedoraproject.org/rpms/enchant/pull-request/4
Just to note here, enchant2 is already updated in F36+

Comment 4 Geoffrey Marr 2022-03-28 19:48:25 UTC
Discussed during the 2022-03-28 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedFreezeException (Final)" was made as it is a noticeable issue that cannot be fixed with an update.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2022-03-28/f36-blocker-review.2022-03-28-16.00.txt

Comment 5 Fedora Update System 2022-03-29 03:07:50 UTC
FEDORA-2022-17c45d5828 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-17c45d5828

Comment 6 Fedora Update System 2022-03-30 02:25:25 UTC
FEDORA-2022-17c45d5828 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-17c45d5828`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-17c45d5828

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-04-05 00:16:02 UTC
FEDORA-2022-17c45d5828 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.